For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create forwarder

Create a forwarder from the given mailbox to the destination address. The destination receives a confirmation email and forwarding becomes active only after it is confirmed.

Create forwarder

post

Create a forwarder from the given mailbox to the destination address. The destination receives a confirmation email and forwarding becomes active only after it is confirmed.

Authorizations
AuthorizationstringRequired

API Token authentication

Path parameters
mailboxIdstringRequired

Mailbox resource ID

Example: AC1a2b3c4d5e6f7g
Body
destinationstringRequired

Email address the messages will be forwarded to

Example: jane@example.org
is_keep_copy_enabledbooleanOptional

Whether to keep a copy of forwarded messages in the mailbox. Defaults to false.

Example: false
Responses
201

Created response

application/json
idstringOptional

Unique forwarder identifier

Example: FW1a2b3c4d5e6f7g
destinationstringOptional

Email address the messages are forwarded to

Example: jane@example.org
is_keep_copy_enabledbooleanOptional

Whether a copy of forwarded messages is kept in the mailbox

Example: true
is_activebooleanOptional

Whether the forwarder is active

Example: true
is_confirmedbooleanOptional

Whether the destination address has confirmed the forwarding

Example: true
created_atstring · date-timeOptionalExample: 2026-07-24T12:00:00Z
updated_atstring · date-timeOptionalExample: 2026-07-24T12:00:00Z
post/api/mail/v1/mailboxes/{mailboxId}/forwarders
POST /api/mail/v1/mailboxes/{mailboxId}/forwarders HTTP/1.1
Host: developers.hostinger.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 63

{
  "destination": "jane@example.org",
  "is_keep_copy_enabled": false
}
{
  "id": "FW1a2b3c4d5e6f7g",
  "mailbox": {
    "id": "AC1a2b3c4d5e6f7g",
    "address": "user@example.com"
  },
  "destination": "jane@example.org",
  "is_keep_copy_enabled": true,
  "is_active": true,
  "is_confirmed": true,
  "created_at": "2026-07-24T12:00:00Z",
  "updated_at": "2026-07-24T12:00:00Z"
}

Last updated

Was this helpful?